File libosinfo.spec of Package libosinfo.4159

#
# spec file for package libosinfo
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define with_lang 1

Name:           libosinfo
Version:        0.2.12
Release:        0
Summary:        Manage information about operating systems and hypervisors
License:        LGPL-2.1+ and GPL-2.0+
Group:          System/Libraries
Url:            http://libosinfo.org/
Source:         https://fedorahosted.org/releases/l/i/libosinfo/%{name}-%{version}.tar.bz2
Patch1:         1d08a23c-add-opensuse-13.2-support.patch
Patch2:         6c3ddecb-add-rhel7.1-support.patch
Patch3:         7b31e3ac-add-qemu-2.3-support.patch
Patch4:         a563ad22-fix-fedora-unknown-regexp.patch
Patch5:         add-sle12sp1-support.patch
Patch6:         add-sle12sp2-support.patch
Patch7:         add-sle12sp3-support.patch
Patch8:         add-opensuse-leap-42.1-support.patch
Patch9:         add-opensuse-leap-42.2-support.patch
Patch10:        add-opensuse-leap-42.3-support.patch
Patch11:        Fix_derives-from_and_add_tablet_item.patch
Patch12:        add-missing-sle10-distros.patch
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  vala
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libsoup-gnome-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libxslt) >= 1.0.0
%if %{with_lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libosinfo is a GObject based library API for managing information about operating systems,
hypervisors and the (virtual) hardware devices they can support. It includes a database
containing device metadata and provides APIs to match/identify optimal devices for
deploying an operating system on a hypervisor. Via the magic of GObject Introspection,
the API is available in all common programming languages.

%package -n libosinfo-1_0-0
Summary:        Manage information about operating systems and hypervisors
Group:          System/Libraries
Requires:       %{name} >= %{version}

%description -n libosinfo-1_0-0
libosinfo is a GObject based library API for managing information about operating systems,
hypervisors and the (virtual) hardware devices they can support. It includes a database
containing device metadata and provides APIs to match/identify optimal devices for
deploying an operating system on a hypervisor. Via the magic of GObject Introspection,
the API is available in all common programming languages.

%package -n typelib-1_0-Libosinfo-1_0
Summary:        Manage information about operating systems and hypervisors
Group:          System/Libraries

%description -n typelib-1_0-Libosinfo-1_0
libosinfo is a GObject based library API for managing information about operating systems,
hypervisors and the (virtual) hardware devices they can support. It includes a database
containing device metadata and provides APIs to match/identify optimal devices for
deploying an operating system on a hypervisor. Via the magic of GObject Introspection,
the API is available in all common programming languages.

%package devel
Summary:        Manage information about operating systems and hypervisors - Development Files
Group:          Development/Languages/C and C++
Requires:       libosinfo-1_0-0 = %{version}
Requires:       typelib-1_0-Libosinfo-1_0 = %{version}

%description devel
libosinfo is a GObject based library API for managing information about operating systems,
hypervisors and the (virtual) hardware devices they can support. It includes a database
containing device metadata and provides APIs to match/identify optimal devices for
deploying an operating system on a hypervisor. Via the magic of GObject Introspection,
the API is available in all common programming languages.

%if %{with_lang}
%lang_package
%endif
%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1

%build
%configure \
    --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%if %{with_lang}
%find_lang %{name} %{?no_lang_C}
%endif

%post -n libosinfo-1_0-0 -p /sbin/ldconfig

%postun -n libosinfo-1_0-0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/osinfo-detect
%{_bindir}/osinfo-db-validate
%{_bindir}/osinfo-install-script
%{_bindir}/osinfo-query
%{_datadir}/%{name}/
%{_mandir}/man1/osinfo-db-validate.1%{?ext_man}
%{_mandir}/man1/osinfo-detect.1%{?ext_man}
%{_mandir}/man1/osinfo-install-script.1%{?ext_man}
%{_mandir}/man1/osinfo-query.1%{?ext_man}

%files -n libosinfo-1_0-0
%defattr(-, root, root)
%{_libdir}/libosinfo-1.0.so.*

%files -n typelib-1_0-Libosinfo-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Libosinfo-1.0.typelib

%files devel
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/Libosinfo/
%{_includedir}/%{name}-1.0
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/libosinfo-1.0.so
%{_datadir}/gir-1.0/Libosinfo-1.0.gir
%dir %{_datadir}/vala/
%dir %{_datadir}/vala/vapi/
%{_datadir}/vala/vapi/libosinfo-1.0.vapi

%if %{with_lang}
%files lang -f %{name}.lang
%endif

%changelog